Subject: ?
From: "Mike" <[email-masked]>
To: "Steve Tingiris" <[email-masked]>
Date: Wed, 11 Apr 2007 18:00:41 -0400

Hey Steve.
Is Mike G. around.  I have sent him a few emails but have yet to get any response.  I am getting pressured by our printer about a list that I need created by Friday am. at the very latest.  He has to order some materials and needs to be able to de-dup what is pulled with another existing list first before he can proceed.  I called his cell and it had a strange busy signal and/or recording when I called.  Let me know.  Thanks for your help.
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]